package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * VIP课教学点
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("teacher_school")
public class TeacherSchool extends Model<TeacherSchool> {

    private static final long serialVersionUID = 1L;

    @TableId("id_")
    private Long id;
    @TableField("user_id_")
    private Integer userId;
    /**
     * 省
     */
    @TableField("province_")
    private String province;
    /**
     * 市
     */
    @TableField("city_")
    private String city;
    /**
     * 区
     */
    @TableField("district_")
    private String district;
    /**
     * 地址
     */
    @TableField("address_")
    private String address;
    /**
     * 经纬度
     */
    @TableField("longitude_latitude_")
    private String longitudeLatitude;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;


    public Long getId() {
        return id;
    }

    public TeacherSchool setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public TeacherSchool setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public String getProvince() {
        return province;
    }

    public TeacherSchool setProvince(String province) {
        this.province = province;
        return this;
    }

    public String getCity() {
        return city;
    }

    public TeacherSchool setCity(String city) {
        this.city = city;
        return this;
    }

    public String getDistrict() {
        return district;
    }

    public TeacherSchool setDistrict(String district) {
        this.district = district;
        return this;
    }

    public String getAddress() {
        return address;
    }

    public TeacherSchool setAddress(String address) {
        this.address = address;
        return this;
    }

    public String getLongitudeLatitude() {
        return longitudeLatitude;
    }

    public TeacherSchool setLongitudeLatitude(String longitudeLatitude) {
        this.longitudeLatitude = longitudeLatitude;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TeacherSchool setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TeacherSchool setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "TeacherSchool{" +
        ", id=" + id +
        ", userId=" + userId +
        ", province=" + province +
        ", city=" + city +
        ", district=" + district +
        ", address=" + address +
        ", longitudeLatitude=" + longitudeLatitude +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
